#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 random-source
version:              0.3.0.13
visibility:           public
id:                   random-source-0.3.0.13-7vQWTKwF9PqHh3iuV8qnZu
key:                  random-source-0.3.0.13-7vQWTKwF9PqHh3iuV8qnZu
license:              LicenseRef-PublicDomain
maintainer:           James Cook <mokus@deepbondi.net>
author:               James Cook <mokus@deepbondi.net>
stability:            provisional
homepage:             https://github.com/mokus0/random-fu
synopsis:             Generic basis for random number generators
description:
    Random number generation based on entropy sources
    able to produce a small but well-defined set of
    primitive variates.  Also includes facilities for
    \"completing\" partial implementations, making it
    easy to define new entropy sources in a way that
    is naturally forward-compatible.
    Now DEPRECATED: see [README](#readme) for further
    details.

category:             Math
abi:                  a095ad023d1b34cb11e84d4edf238ae1
exposed:              True
exposed-modules:
    Data.Random.Internal.Source Data.Random.Internal.Words
    Data.Random.Source Data.Random.Source.DevRandom
    Data.Random.Source.IO Data.Random.Source.MWC
    Data.Random.Source.PureMT Data.Random.Source.Std
    Data.Random.Source.StdGen

hidden-modules:
    Data.Random.Source.Internal.Prim Data.Random.Source.Internal.TH

import-dirs:          /usr/lib/ghc-9.0.2/site-local/random-source-0.3.0.13
library-dirs:         /usr/lib/ghc-9.0.2/site-local/random-source-0.3.0.13
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-random-source
hs-libraries:         HSrandom-source-0.3.0.13-7vQWTKwF9PqHh3iuV8qnZu
depends:
    base-4.15.1.0 flexible-defaults-0.0.3-3olHE8DmV0jJWTgSxuWIPp
    mersenne-random-pure64-0.2.2.0-58bl1bSy2s8CuMhAJOqCBh mtl-2.2.2
    mwc-random-0.15.0.2-3T5YT2DND616q2oYQqf0Aw
    primitive-0.7.4.0-vwDq7840sM3xgs4vWuDTK
    random-1.2.1.1-BxaVw6mUjjQHmGxFEtiVFu
    stateref-0.3-9u9QCRlvo9dHk1YF6aLbH9
    syb-0.7.2.3-JqzSMUO0Mg375L5LIm8jI0 template-haskell-2.17.0.0
    th-extras-0.0.0.6-6eXU99s1VV4jKEo8f5StC

haddock-interfaces:
    /usr/share/doc/haskell-random-source/html/random-source.haddock

haddock-html:         /usr/share/doc/haskell-random-source/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

